MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025146Open CASCADE[OCCT] OCCT:Configurationpublic2014-08-13 14:282017-05-18 13:46
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025146: Porting to Android
DescriptionIt is necessary to port OCCT to Android platform.
This is meta task to group more specific tasks.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023484closedbugmaster Open CASCADE Visualization, TKOpenGl - primitive arrays to become the only way to render geometry 
related to 0025162closedbugmaster Open CASCADE Visualization, TKOpenGl - drop GLU library dependency 
related to 0024888closedbugmaster Open CASCADE Refactoring of OCCT CMake meta-project 
related to 0025745closedbugmaster Open CASCADE Porting to iOS 
parent of 0025145closedbugmaster Open CASCADE Clean up EXTERNLIB files - eliminate redundant dependencies between Toolkits 
parent of 0024443closedbugmaster Open CASCADE Imporove AutoMake files export for compatibility with some not fully POSIX compliant Unix systems 
parent of 0025147closedbugmaster Open CASCADE Visualization, TKOpenGl - support EGL as alternative to GLX 
parent of 0025148closedbugmaster Open CASCADE Visualization - drop TKNIS toolkit 
parent of 0025149closedbugmaster Open CASCADE Samples - add Qt5/QML sample for Android 4.x 
parent of 0025160closedkgv Open CASCADE Android doesn't support locales in the C library 
parent of 0025213closedbugmaster Open CASCADE Visualization, TKOpenGl - do not use deprecated built-ins in GLSL shaders 
parent of 0025215closedbugmaster Open CASCADE Porting to Android - fix minor issues 
parent of 0025216closedkgv Open CASCADE WNT_Window - remove unused fields and types (WNT_WindowData) 
parent of 0025219closedbugmaster Open CASCADE Visualization, TKOpenGl - disable code paths unavailable on OpenGL ES 2.0 
parent of 0025195closedbugmaster Open CASCADE Samples - add Java sample for Android 4.x 
parent of 0025282closedbugmaster Open CASCADE Visualization, OpenGl_PrimitiveArray - provide built-in GLSL programs as alternative to FFP 
parent of 0025301closedbugmaster Open CASCADE Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv() 
parent of 0025304closedbugmaster Open CASCADE Visualization, TKOpenGl - support texturing within built-in GLSL programs 
parent of 0025305closedbugmaster Open CASCADE Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs 
parent of 0025303closedbugmaster Open CASCADE Visualization, TKOpenGl - dynamically disable unused light sources in generated GLSL program 
parent of 0025328closedbugmaster Open CASCADE Visualization, TKOpenGl - support text rendering within built-in GLSL programs 
parent of 0025422closedbugmaster Open CASCADE Visualization, TKOpenGl - support re-assignment of new window to existing View 
parent of 0025438closedbugmaster Open CASCADE Visualization, TKOpenGl - always setup viewport within OpenGl_Workspace::Redraw() 
parent of 0025474closedbugmaster Open CASCADE Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs 
parent of 0025475closedbugmaster Open CASCADE Visualization, TKOpenGl - draw background using primitive arrays 
parent of 0025483closedbugmaster Open CASCADE Visualization, TKOpenGl - fix memory leak due to unused stack in OpenGl_StateInterface 
parent of 0025500closedbugmaster Open CASCADE Visualization, TKOpenGl - global trihedron should not inherit transformation from last object 
parent of 0025539closedbugmaster Open CASCADE Visualization, TKOpenGl - support environmental texture within built-in GLSL programs 
parent of 0025350closedbugmaster Community Visualization - provide a dpi-scaling ratio for V3d_View 
parent of 0025580closedbugmaster Open CASCADE Visualization, TKOpenGl - create GLushort index buffer in OpenGl_Quadric::createArrays() when sufficient 
parent of 0025978closedbugmaster Open CASCADE Visualization - setup font aliases for Android 
parent of 0025984closedbugmaster Open CASCADE Visualization, OpenGl_Workspace::RedrawImmediate() - do not swap buffers within buffersNoSwap option 
parent of 0026165closedabv Open CASCADE Visualization, TKOpenGl - fix FBO blitting on some mobile devices 
parent of 0028135closedapn Open CASCADE Configuration - adopt building script for using built-in Android cross-compiling support in CMake 3.7 

-  Notes
(0030941)
git (administrator)
2014-08-20 16:22

Branch CR25146 has been created by ibs.

SHA-1: 4c8984cfd401bb6ad6fc2e0020d4c769dcb4c738


This branch includes the following new commits:

       new 4c8984c 0025146: Porting to Android


Detailed log of new commits:

commit 4c8984cfd401bb6ad6fc2e0020d4c769dcb4c738
Author: ibs
Date: Wed Aug 20 16:21:27 2014 +0400

    0025146: Porting to Android
    
    OCCT documentation updated. "Building with CMake and ADT for Android" article added
(0030958)
git (administrator)
2014-08-20 19:00

Branch CR25146 has been updated by ibs.

SHA-1: b9921f47526442737a7cd146afdbb206415ab7a5


      from 4c8984c 0025146: Porting to Android
       new b9921f4 0025146: Porting to Android


Detailed log of new commits:

commit b9921f47526442737a7cd146afdbb206415ab7a5
Author: ibs
Date: Wed Aug 20 18:51:21 2014 +0400

    0025146: Porting to Android
    
    "Building with CMake and ADT for Android" document updated

(0030959)
git (administrator)
2014-08-20 19:04

Branch CR25146 has been updated forcibly by ibs.

SHA-1: 6af7ac4a23e2957b8c2b3ab23afd87212747601b
(0030977)
git (administrator)
2014-08-21 11:02

Branch CR25146 has been updated by ibs.

SHA-1: dbb44138dcd1b30323d2f15e970b4fb4a299f2fa


Detailed log of new commits:

Author: ibs
Date: Thu Aug 21 11:01:57 2014 +0400

    using "/dev/zero" and "/dev/null" for allocation of memory blocks on Android device

(0031057)
git (administrator)
2014-08-24 13:13

Branch CR25146 has been updated by kgv.

SHA-1: 6e14de9d4043390dea0b714d05997add6252593e


Detailed log of new commits:

Author: kgv
Date: Sun Aug 24 13:13:00 2014 +0400

    Standard_Atomic - correct usage of __atomic_inc()/__atomic_dec()
    
    They return value BEFORE operation (increment/decrement) applied.

(0031116)
git (administrator)
2014-08-27 10:06

Branch CR25146_1 has been created by kgv.

SHA-1: 4b5bf4a1ee5490842b059a9f7e4473ece0c43ea9


Detailed log of new commits:

Author: ibs
Date: Wed Aug 20 18:51:21 2014 +0400

    0025146: Porting to Android
    
    "Building with CMake and ADT for Android" document updated

Author: ibs
Date: Wed Aug 20 16:21:27 2014 +0400

    0025146: Porting to Android
    
    OCCT documentation updated. "Building with CMake and ADT for Android" article added

Author: kgv
Date: Sun Aug 24 13:13:00 2014 +0400

    Standard_Atomic - correct usage of __atomic_inc()/__atomic_dec()
    
    They return value BEFORE operation (increment/decrement) applied.

Author: ibs
Date: Thu Aug 21 11:01:57 2014 +0400

    using "/dev/zero" and "/dev/null" for allocation of memory blocks on Android device

Author: ibs
Date: Thu Aug 14 15:52:05 2014 +0400

    pw_gecos member of passwd struct disabled in android case

Author: kgv
Date: Wed Aug 27 09:12:35 2014 +0400

    0025148: Visualization - drop TKNIS toolkit
(0031120)
git (administrator)
2014-08-27 12:04

Branch CR25146_1 has been updated by kgv.

SHA-1: 7431ad085306beeb4f822bc1cc5f85e341a81a4f


Detailed log of new commits:

Author: kgv
Date: Wed Aug 27 12:04:57 2014 +0400

    OpenGl,Visual3d - take into account Android macros

Author: kgv
Date: Wed Aug 27 10:20:16 2014 +0400

    ViewerTest.cdl - drop NIS package

Author: ibs
Date: Mon Aug 18 17:39:14 2014 +0400

    0025160: Android doesn't support locales in the C library
    
    check setlocale for NULL

(0031140)
git (administrator)
2014-08-28 11:51

Branch CR25146_1 has been updated by ibs.

SHA-1: c062c5266f6220b35a70739067be7e9956c567d2


Detailed log of new commits:

Author: ibs
Date: Thu Aug 28 23:50:42 2014 +0400

    cmake value for parallel building (mingw-make) in eclipse added in configuration process

(0031144)
git (administrator)
2014-08-28 12:13

Branch CR25146_1 has been updated by ibs.

SHA-1: 507830e3cdfcd8e8f4f8cced015d4046406a0dae


Detailed log of new commits:

Author: ibs
Date: Thu Aug 28 11:58:25 2014 +0400

    0025141: CMake / MinGW: link recipe fails due to long command
    
    required configuration options added

(0031145)
git (administrator)
2014-08-28 12:25

Branch CR25146_1 has been updated by ibs.

SHA-1: c46a75ca5c55c3e9305f1eb49e6c0bde31672565


Detailed log of new commits:

Author: ibs
Date: Thu Aug 28 12:14:30 2014 +0400

    gl2ps using and install directives disabled for android

(0031146)
ibs (developer)
2014-08-28 12:28

"install" feature is disabled for convenience
(0031163)
git (administrator)
2014-08-28 17:12

Branch CR25146_1 has been updated forcibly by ibs.

SHA-1: f40cf4896d8b0f12739b4e7f73b322f84d398343
(0031797)
git (administrator)
2014-09-17 13:24

Branch CR25146-IR-2014-09-17 has been created by kgv.

SHA-1: 5cdcf9df674851a07b1bd5d58e4e7117f6483d33


Detailed log of new commits:

Author: kgv
Date: Thu Sep 4 15:50:28 2014 +0400

    0025216: WNT_Window - remove unused fields and types (WNT_WindowData)
    
    Clean up InterfaceGraphic.hxx

Author: kgv
Date: Fri Sep 5 12:36:17 2014 +0400

    0025219: Visualization, TKOpenGl - disable code paths unavailable on OpenGL ES 2.0

Author: kgv
Date: Wed Sep 17 13:02:32 2014 +0400

    0025213: Visualization, TKOpenGl - do not use deprecated built-ins in GLSL shaders
    
    Inherit NCollection_Buffer from Standard_Transient, do not use incomplete NCollection_Handle.
    
    OpenGl_Context, add methods ActiveProgram(),BindProgram()
    to manage currently active GLSL program.
    Add method ::ToUseVbo().
    
    OpenGl_ShaderProgram, setup locations of pre-defined vertex attributes
    occVertex, occNormal, occTexCoord, occColor before linkage.
    Remove methods OpenGl_ShaderProgram::Bind(), ::BindWithVariables()
    and ::Unbind() - OpenGl_Context::BindProgram() should be used instead.
    
    Introduce class OpenGl_VertexBufferCompat, which emulates VBO
    behavior on systems without VBO (compatibility with broken OpenGL drivers on Windows).
    
    OpenGl_PrimitiveArray - use OpenGl_VertexBufferCompat when VBO is unavailable,
    remove duplicated code. Use OpenGl_VertexBuffer::HasNormalAttribute()
    method to activate lighting.
    
    OpenGl_Text - use OpenGl_VertexBufferCompat, eliminate duplicated code.
    
    Changes in OpenGl_VertexBuffer, drop methods BindFixed()/UnbindFixed().
    Superseded by new methods BindAllAttributes()/UnbindAllAttributes()
    which handle active GLSL program, when it is set.

Author: kgv
Date: Fri Sep 5 14:27:01 2014 +0400

    0025215: Porting to Android - fix minor issues
    
    STEPConstruct_AP203Context = pw_gecos member of passwd struct disabled in android case.
    Standard_Atomic - correct usage of __atomic_inc()/__atomic_dec().
    Standard_CLocaleSentry - Android doesn't support locales in the C library.
    Standard_MMgrOpt - use "/dev/zero" and "/dev/null" for allocation of memory blocks on Android.
    OSD_Chronometer - fix compilation on Android.
    OSD_Disk, OSD_signal - fix headers inclusion on Android.
(0031804)
git (administrator)
2014-09-17 14:19

Branch CR25146-IR-2014-09-17 has been updated forcibly by kgv.

SHA-1: a1c30a2d5270ad764984a0ff6f8998a868c838fd
(0031829)
git (administrator)
2014-09-17 18:02

Branch CR25146_2 has been created by abv.

SHA-1: 64df74bd4b45d65c9692c4cab87263c305bf0719


Detailed log of new commits:

Author: ibs
Date: Tue Apr 29 16:42:21 2014 +0400

    0024888: Refactoring of OCCT CMake meta-project
    
    user sees just dirs of libs, shared libs and headers of 3rdparty products
    documentation updated
    
    3rdparty search priority was fixed: 1. user paths; 2. system paths
    3rdparty debug usage fixed
    vtk search introduced
    occt information, generated by wok, was divided onto two files: occt_toolkits.cmake and occt_inc_toolkits.cmake
    additional behavior of cmake search for freetype 2.5.1 and above
    
    CMake (version < 3.0) don't know about new place of config/ftheader.h in freetype 2.5.1. There are cases when cmake seeks config/ftheader.h in defined place (3RDPARTY_FREETYPE_DIR variable), doesn't find it and start new search in system places. If system has own freetype header- cmake will find it and 3RDPARTY_FREETYPE* variables will point to different places. This situation is avoided
    
    cmake minimum required version is 2.8.10
    tcl, freetype, vtk are checked before usage of it (CSF variables usage)
    tbb search mechanism was refactored
    freetype search is processed by default cmake mechanism
    tcl search is processed by default cmake mechanism
    
    3rdparty macro seeks debug libraries (and release if debug ones aren't found); 3rdparty dll is sought in win case only
    
    ADD_SUBDIRECTORY preferred to SUBDIRS
    
    gendoc.bat search for tclsh.exe in user's system
    
    0025141: CMake / MinGW: link recipe fails due to long command
    
    0025146: Porting to Android
    
    OCCT documentation updated. "Building with CMake and ADT for Android" article added

Author: kgv
Date: Wed Aug 27 12:31:51 2014 +0400

    0025148: Visualization - drop TKNIS toolkit
(0031835)
git (administrator)
2014-09-17 19:26

Branch CR25146_2 has been updated by ibs.

SHA-1: 0c274dd3bacc5876e7ba536ee11eca6c7f5c3d9f


Detailed log of new commits:

Author: ibs
Date: Wed Sep 17 19:13:32 2014 +0400

    hide unused 3rdparty in android case

(0031836)
git (administrator)
2014-09-17 19:55

Branch CR25146_2 has been updated by ibs.

SHA-1: 5e9c80c3fb24e3add9803cdb643bef8023054b09


Detailed log of new commits:

Author: ibs
Date: Wed Sep 17 19:38:11 2014 +0400

    -DDEBUG remove from CMAKE_CXX_FLAGS_DEBUG and CMAKE_C_FLAGS_DEBUG

(0031854)
git (administrator)
2014-09-18 12:50

Branch CR25146_2 has been updated by ibs.

SHA-1: 485a26933b923cd943c156185af5b366cedbe454


Detailed log of new commits:

Author: ibs
Date: Thu Sep 18 12:50:38 2014 +0400

    [CMAKE] custom.bat.in uses library variables instead unused dll ones.

(0031855)
git (administrator)
2014-09-18 12:53

Branch CR25146_2 has been updated forcibly by ibs.

SHA-1: a0bb373c2df125e66a7862e8f493f33137d35bf2
(0032281)
git (administrator)
2014-09-29 10:16
edited on: 2014-09-29 10:21

Branch CR25146_3 has been created by kgv.

SHA-1: 05c6ac4c463c42b959f1be9e25bdd839614ed806


Detailed log of new commits:

Author: kgv
Date: Mon Sep 29 09:46:03 2014 +0300

    OpenGl_ShaderManager, support RGB markers.
    
    OpenGl_AspectMarker, initialize Aspect_TOM_O_POINT display list
    in the same way as sprite texture.
    
    OpenGl_Texture, do not use sized internal formats on OpenGL ES.

Author: kgv
Date: Sun Sep 28 22:18:08 2014 +0300

    0025282: Visualization, OpenGl_PrimitiveArray - provide built-in GLSL programs as alternative to FFP
    
    Enumerations Visual3d_TypeOfModel, V3d_TypeOfShadingModel.
    - Remove unused values V3d_MULTICOLOR, V3d_HIDDEN, Visual3d_TOM_INTERP_COLOR.
    - Add per-pixel shading mode - V3d_PHONG, Visual3d_TOM_FRAGMENT.
    
    Draw Harness command vrenderparams.
    Add option -shadingModel to setup Shading Model.
    
    OpenGl_Caps::ffpEnable - new option to switch FFP/built-in GLSL programs.
    OpenGl_ShaderManager - add built-in GLSL programs.
    
    Draw Harness command vcaps.
    - Fix command syntax to meet coding rules.
    - Add option -ffp to activate/disable built-in GLSL programs.
    
    GLSL API changes.
    - Rename vertex attribute occColor -> occVertColor.
    - Introduce vec4 occColor uniform variable for light-less shaders.
    - Introduce float occPointSize uniform variable for marker programs.
    
    OpenGl_VertexBuffer::bindAttribute() - activate normalization for non-GL_FLOAT types,
    since color attribute is defined as 32-bit vector of 4 unsigned byte values.
    
    OpenGl_Context - add methods SetColor4fv() and SetPointSize()
    for parameters redirection to active GLSL program
    (as alternative to glColor4fv() and glPointSize()).
    
    OpenGl_ShaderProgram - define default precision for float types
    in Fragment Shader within OpenGL ES 2.0+ context.

Author: kgv
Date: Mon Sep 29 10:10:36 2014 +0300

    0025148: Visualization - drop TKNIS toolkit

Author: kgv
Date: Wed Sep 17 15:46:21 2014 +0400

    0025147: Visualization, TKOpenGl - support EGL as alternative to GLX
    
    Aspect_Window - add interface methods NativeHandle() and NativeParentHandle().
    OpenGl_Window - pass OpenGl_GraphicDriver instance to the constructor.
    OpenGl_Caps - add option to disable buffers swap at the end of frame redraw.

(0032283)
git (administrator)
2014-09-29 10:20

Branch CR25146_3 has been updated forcibly by kgv.

SHA-1: e7b5f4323a83084451b8841b6d29439227821734
(0032310)
git (administrator)
2014-09-29 16:15

Branch CR25146_3 has been updated by ibs.

SHA-1: 7bc69315ed2f7ce9a7db7e4ce14dcea0740e4784


Detailed log of new commits:

Author: ibs
Date: Mon Sep 29 15:21:00 2014 +0400

    some typos fixed

(0032484)
git (administrator)
2014-09-30 21:59

Branch CR25146_3 has been updated by kgv.

SHA-1: ddf0f1e4d3519b0fd134e47351c6d1eaea96637a


Detailed log of new commits:

Author: kgv
Date: Tue Sep 30 21:57:54 2014 +0300

    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
    
    OpenGl_ShaderProgram::SetUniform() - transpose matrix by OpenGl_Transposemat3() when needed.
    OpenGl_Workspace - do not call glEnable()/glDisable() with GL_TEXTURE_2D on OpenGL ES 2.0+.

(0032683)
git (administrator)
2014-10-06 09:27

Branch CR25146_3 has been updated by kgv.

SHA-1: 2438e79e91a9dca8af1f3b55fc998b2bbc92040e


Detailed log of new commits:

Author: kgv
Date: Mon Oct 6 09:26:51 2014 +0400

    0025195: Add Java sample for Android 4.x

(0032696)
git (administrator)
2014-10-06 11:35

Branch CR25146_3 has been updated by ibs.

SHA-1: db3d76d4d3fa51f4b0dd3715da2ae1d87b052ad9


Detailed log of new commits:

Author: ibs
Date: Mon Oct 6 11:35:53 2014 +0400

    "Building with CMake and ADT for Android " guide updated. "building scripts re-generation" reminder added

(0032830)
git (administrator)
2014-10-08 17:52

Branch CR25146_3 has been updated by kgv.

SHA-1: fcbf182a099a999f10aaa6e40d6bd44f95477fb5


Detailed log of new commits:

Author: kgv
Date: Wed Oct 8 17:50:40 2014 +0400

    Define OcctJni_MsgPrinter

(0032866)
git (administrator)
2014-10-09 10:49

Branch CR25146_4 has been created by kgv.

SHA-1: 786c6fdb5985526724dcd65ac1dbb44769e7a864


Detailed log of new commits:

Author: kgv
Date: Thu Oct 9 10:49:04 2014 +0400

    OcctJniView - request 16-bit depth buffer if 24-bit is unavailable
    
    Workaround eglChooseConfig() issue on Tegra 3 drivers.

Author: kgv
Date: Wed Oct 8 12:29:47 2014 +0400

    0025303: Visualization, TKOpenGl - dynamically disable unused light sources in generated GLSL program

Author: kgv
Date: Wed Oct 8 17:50:40 2014 +0400

    Define OcctJni_MsgPrinter

Author: kgv
Date: Mon Oct 6 09:26:51 2014 +0400

    0025195: Add Java sample for Android 4.x

Author: ibs
Date: Mon Oct 6 11:35:53 2014 +0400

    "Building with CMake and ADT for Android " guide updated. "building scripts re-generation" reminder added

Author: kgv
Date: Tue Sep 30 21:57:54 2014 +0300

    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
    
    OpenGl_ShaderProgram::SetUniform() - transpose matrix by OpenGl_Transposemat3() when needed.
    OpenGl_Workspace - do not call glEnable()/glDisable() with GL_TEXTURE_2D on OpenGL ES 2.0+.

Author: kgv
Date: Mon Sep 29 10:17:42 2014 +0300

    0025148: Visualization - drop TKNIS toolkit
(0032886)
git (administrator)
2014-10-09 14:08

Branch CR25146_4 has been updated by kgv.

SHA-1: 4db2b95f35684edd92e819c55f17e6869bc723cf


Detailed log of new commits:

Author: kgv
Date: Thu Oct 9 14:08:36 2014 +0400

    Android jni sample - add missing permission to manifest

(0032888)
git (administrator)
2014-10-09 14:23

Branch CR25146_4 has been updated by kgv.

SHA-1: 86683d2daaf5856e7179e08457caa30e37c83e12


Detailed log of new commits:

Author: kgv
Date: Thu Oct 9 14:23:15 2014 +0400

    OcctJni_MsgPrinter - create global reference to Java class instance

(0033216)
git (administrator)
2014-10-16 15:26

Branch CR25146_5 has been created by kgv.

SHA-1: 024e7c4d917bfd5933e1281820cfdb21f9c23d10


Detailed log of new commits:

Author: kgv
Date: Thu Oct 16 15:26:36 2014 +0400

    JniViewer sample - display trihedron

Author: kgv
Date: Thu Oct 16 14:31:41 2014 +0400

    0024381: TKOpenGl - revise matrices stack and usage of temporary matrices

Author: kgv
Date: Wed Oct 8 12:29:47 2014 +0400

    0025303: Visualization, TKOpenGl - dynamically disable unused light sources in generated GLSL program

Author: kgv
Date: Thu Oct 16 12:14:10 2014 +0400

    JniViewer sample - link against dynamic STL library

Author: kgv
Date: Thu Oct 9 14:23:15 2014 +0400

    OcctJni_MsgPrinter - create global reference to Java class instance

Author: kgv
Date: Thu Oct 9 14:08:36 2014 +0400

    Android jni sample - add missing permission to manifest

Author: kgv
Date: Thu Oct 9 10:49:04 2014 +0400

    OcctJniView - request 16-bit depth buffer if 24-bit is unavailable
    
    Workaround eglChooseConfig() issue on Tegra 3 drivers.

Author: kgv
Date: Wed Oct 8 17:50:40 2014 +0400

    Define OcctJni_MsgPrinter

Author: kgv
Date: Mon Oct 6 09:26:51 2014 +0400

    0025195: Add Java sample for Android 4.x

Author: ibs
Date: Mon Oct 6 11:35:53 2014 +0400

    "Building with CMake and ADT for Android " guide updated. "building scripts re-generation" reminder added

Author: kgv
Date: Mon Sep 29 10:17:42 2014 +0300

    0025148: Visualization - drop TKNIS toolkit
(0033218)
git (administrator)
2014-10-16 15:38

Branch CR25146_5 has been updated by kgv.

SHA-1: cf9a9bd1481b0f3c153fea180f6716d38267a3c8


Detailed log of new commits:

Author: kgv
Date: Thu Oct 16 15:23:21 2014 +0400

    OpenGl_Context::ApplyModelViewMatrix() - fix compiler warning on Android

Author: kgv
Date: Thu Oct 16 15:37:25 2014 +0400

    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()

(0033249)
git (administrator)
2014-10-17 13:01

Branch CR25146_5 has been updated by kgv.

SHA-1: eb0bff41159cc3e452d0c2df665bc0b2b863b0f4


Detailed log of new commits:

Author: kgv
Date: Fri Oct 17 13:01:14 2014 +0400

    JniViewer Sample - add OcctJni_Viewer::saveSnapshot() method

Author: kgv
Date: Fri Oct 17 13:00:23 2014 +0400

    JniViewer Sample - load FreeImage library

(0033520)
git (administrator)
2014-10-22 01:08

Branch CR25146_3 has been updated by svo.

SHA-1: 9b7da366be0471614c5cc4d33b9b1362becc7df2


Detailed log of new commits:

Author: svo
Date: Wed Oct 22 00:48:03 2014 +0400

    Update for GUI and first version of generated wrapper
    
    Signed-off-by: svo <svetlana.vdovichenko@opencascade.com>

(0033527)
git (administrator)
2014-10-22 10:59

Branch CR25146_3 has been updated forcibly by svo.

SHA-1: fcbf182a099a999f10aaa6e40d6bd44f95477fb5
(0033589)
git (administrator)
2014-10-22 18:41

Branch CR25146_5 has been updated by kgv.

SHA-1: 94965bc88085c46e8623c9f07f202081de6a013e


Detailed log of new commits:

Author: kgv
Date: Wed Oct 22 18:41:40 2014 +0400

    OpenGl_Context::extBgra - check for GL1.2

Author: kgv
Date: Wed Oct 22 18:40:44 2014 +0400

    OpenGl_Workspace::Redraw() - always setup viewport before redraw

(0033653)
git (administrator)
2014-10-23 16:44

Branch CR25146_5 has been updated by svo.

SHA-1: 0403751e25d44371f604f994c1c0c893251b1e17


Detailed log of new commits:

Author: svo
Date: Thu Oct 23 16:14:15 2014 +0400

    GUI update

(0033692)
git (administrator)
2014-10-24 16:21

Branch CR25146_6 has been created by kgv.

SHA-1: 519ce884584a6fd3eafcab90e7b62345ccf12cb3


Detailed log of new commits:

Author: kgv
Date: Fri Oct 24 16:11:59 2014 +0400

    JniViewer sample - use SetWindow() to resize window

Author: kgv
Date: Fri Oct 24 16:03:34 2014 +0400

    Visual3d_View::SetWindow() - allow re-assigning new window to existing view
    
    Do not throw "Window already defined" exception in Visual3d_View/V3d_View.
    Handle window change within OpenGl_GraphicDriver::View().
    
    OpenGl_GraphicDriver - introduce dedicated methods to initialize/release shared OpenGL context.
    ::InitEglContext() to using existing EGL context.
(0033697)
git (administrator)
2014-10-24 18:25

Branch CR25146_6 has been updated by kgv.

SHA-1: 9746a979ffe2f599bfdff0381f14fa4f80ccb347


Detailed log of new commits:

Author: kgv
Date: Fri Oct 24 18:25:52 2014 +0400

    JniViewer sample - specify APP_PLATFORM in Application.mk

(0033705)
git (administrator)
2014-10-24 19:38

Branch CR25146_6 has been updated by kgv.

SHA-1: 82cdad46915940772e9fe5b115f1eb4652d3dde4


Detailed log of new commits:

Author: kgv
Date: Fri Oct 24 19:37:55 2014 +0400

    JniViewer sample - handle onNewIntent() event to open another file

(0033706)
git (administrator)
2014-10-24 19:40

Branch CR25146_6 has been updated forcibly by kgv.

SHA-1: 2b2ebec1c3e6104cd7bab26cf573b64a7caa3804
(0033709)
git (administrator)
2014-10-24 20:03

Branch CR25146_6 has been updated by kgv.

SHA-1: 494311df2238aacc9f278927f899e243054957d2


Detailed log of new commits:

Author: kgv
Date: Fri Oct 24 20:03:02 2014 +0400

    OpenGl_Workspace - do not call glDisable/glEnable(GL_TEXTURE_2D) on GL ES

(0033711)
git (administrator)
2014-10-25 18:08

Branch CR25146_6 has been updated by kgv.

SHA-1: 09f98f37191f7a7c411d0ceba2bcb7340a76a256


Detailed log of new commits:

Author: kgv
Date: Sat Oct 25 19:07:24 2014 +0400

    OpenGl_Context - always enable NPOT textures on OpenGL ES 2.0

(0033737)
git (administrator)
2014-10-27 16:16

Branch CR25146_5 has been updated by svo.

SHA-1: 8bed75efdbba4265ea370d6a76cf4a5bf23c305c


Detailed log of new commits:

Author: svo
Date: Mon Oct 27 16:14:41 2014 +0300

    Update for GUI: format, File open dialog, GUI functions for fit,view,info

(0033750)
git (administrator)
2014-10-28 01:04

Branch CR25146_6 has been updated by kgv.

SHA-1: 8e7357b7d81960d6da2d6b3b9ddd5cf02f5d4afa


Detailed log of new commits:

Author: svo
Date: Tue Oct 28 02:04:03 2014 +0400

    GUI draft

(0033790)
git (administrator)
2014-10-29 00:18

Branch CR25146_6 has been updated by kgv.

SHA-1: 005454a926e9bbd519c8378640fb37cfdf6d2a5b


Detailed log of new commits:

Author: kgv
Date: Wed Oct 29 01:18:20 2014 +0400

    JniViewer sample update

Author: kgv
Date: Wed Oct 29 01:17:51 2014 +0400

    OpenGl_ShaderManager - clear shader programs on shared context invalidation

(0033841)
git (administrator)
2014-10-29 16:30

Branch CR25146_6 has been updated by svo.

SHA-1: 9d9660667b876588939c2d38574b197a6171775e


Detailed log of new commits:

Author: svo
Date: Wed Oct 29 14:34:00 2014 +0300

    Update GUI for Open dialog, new buttons, info view

(0033868)
git (administrator)
2014-10-30 10:49

Branch CR25146_6 has been updated by svo.

SHA-1: f76dc2f1b248dcf03406f1eff5ab03d9683fc98e


Detailed log of new commits:

Author: svo
Date: Thu Oct 30 10:49:29 2014 +0300

    new view icons

(0033895)
git (administrator)
2014-10-30 16:40

Branch CR25146_6 has been updated by svo.

SHA-1: eda390a70374d8d47a283fd76ac2fc5ad7468df7


Detailed log of new commits:

Author: svo
Date: Thu Oct 30 16:39:42 2014 +0300

    icon for message

(0033903)
git (administrator)
2014-10-30 17:59

Branch CR25146_6 has been updated by kgv.

SHA-1: 27437eb068b282bd2f938068d085d842fcf244c5


Detailed log of new commits:

Author: kgv
Date: Thu Oct 30 18:59:09 2014 +0400

    JniViewer sample - map view orientation buttons

(0033905)
git (administrator)
2014-10-30 18:45

Branch CR25146_6 has been updated by kgv.

SHA-1: 123aaaa2e30358609ec95e71691bad4ab6ec2bed


Detailed log of new commits:

Author: kgv
Date: Thu Oct 30 19:42:46 2014 +0400

    OpenGl_View::ReleaseGlResources() - release GL resources of trihedron, do not destroy it

(0033913)
git (administrator)
2014-10-30 20:12

Branch CR25146_6 has been updated by kgv.

SHA-1: ac3b10ceed4307ba93331298e46e3a79942233f4


Detailed log of new commits:

Author: kgv
Date: Thu Oct 30 21:12:08 2014 +0400

    JniViewer sample - read IGES and STEP files

(0033926)
git (administrator)
2014-10-31 11:01

Branch CR25146_7 has been created by kgv.

SHA-1: 43b989e502f5cdfa6510f0db8fc4b9dcb0eda55c


Detailed log of new commits:

Author: kgv
Date: Wed Oct 22 18:41:40 2014 +0400

    OpenGl_Context::extBgra - check for GL1.2

Author: kgv
Date: Wed Oct 22 18:40:44 2014 +0400

    OpenGl_Workspace::Redraw() - always setup viewport before redraw

Author: duv
Date: Fri Oct 31 10:29:51 2014 +0300

    0024381: Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices
    0025301: Visualization, TKOpenGl - transpose matrix manually before glUniformMatrix4fv()
    
    OpenGl_View::ReleaseGlResources() - release GL resources of trihedron, do not destroy it

Author: kgv
Date: Mon Sep 29 10:17:42 2014 +0300

    0025148: Visualization - drop TKNIS toolkit
(0033927)
git (administrator)
2014-10-31 11:10

Branch CR25146_7 has been updated by kgv.

SHA-1: 71fe1c056e8d6655645d3629b6e9e9c2b9c0691d


Detailed log of new commits:

Author: kgv
Date: Fri Oct 31 12:09:59 2014 +0400

    .gitignore - filter folder "and"

(0034070)
git (administrator)
2014-11-05 21:12

Branch CR25146_6 has been updated by svo.

SHA-1: 5118d2e4cd0acb145019c085a7fb0b4637676601


Detailed log of new commits:

Author: svo
Date: Wed Nov 5 21:11:46 2014 +0300

    UI update: update view on orientation changed, info dialog, show/hide menu panel button

(0034092)
git (administrator)
2014-11-06 12:39

Branch CR25146_6 has been updated by svo.

SHA-1: 2f73570510aabab496897bd51b767461e4a8b96a


Detailed log of new commits:

Author: svo
Date: Thu Nov 6 12:39:44 2014 +0300

    Update for info view: set text at center, add image

(0034235)
git (administrator)
2014-11-12 08:47

Branch CR25146 has been deleted by kgv.

SHA-1: 6e14de9d4043390dea0b714d05997add6252593e
(0034236)
git (administrator)
2014-11-12 08:48

Branch CR25146_2 has been deleted by kgv.

SHA-1: a0bb373c2df125e66a7862e8f493f33137d35bf2
(0034237)
git (administrator)
2014-11-12 08:48

Branch CR25146-IR-2014-09-17 has been deleted by kgv.

SHA-1: a1c30a2d5270ad764984a0ff6f8998a868c838fd
(0034238)
git (administrator)
2014-11-12 08:49

Branch CR25146_5 has been deleted by kgv.

SHA-1: 8bed75efdbba4265ea370d6a76cf4a5bf23c305c
(0034239)
git (administrator)
2014-11-12 08:50

Branch CR25146_4 has been deleted by kgv.

SHA-1: 86683d2daaf5856e7179e08457caa30e37c83e12
(0034240)
git (administrator)
2014-11-12 08:51

Branch CR25146_3 has been deleted by kgv.

SHA-1: fcbf182a099a999f10aaa6e40d6bd44f95477fb5
(0034242)
git (administrator)
2014-11-12 08:52

Branch CR25146_6 has been deleted by kgv.

SHA-1: 2f73570510aabab496897bd51b767461e4a8b96a
(0034632)
git (administrator)
2014-11-24 12:43

Branch CR25146_8 has been created by kgv.

SHA-1: 6c2cd2f88ae5b03e64de8b2fb8bc1c3ebb2688c4


Detailed log of new commits:

Author: kgv
Date: Sun Nov 23 17:29:38 2014 +0300

    0025474: Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs

Author: aba
Date: Mon Nov 24 08:44:17 2014 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: kgv
Date: Wed Nov 19 19:01:45 2014 +0300

    0025500: Visualization, TKOpenGl - global trihedron should not inherit transformation from last object

Author: msv
Date: Wed Nov 19 21:50:22 2014 +0300

    0025503: IncrementalMesh always re-meshes the shape even is existing triangulation satisfies the given deflection
    
    The logical expression that checks edge consistency has been corrected.

Author: kgv
Date: Fri Nov 14 12:55:57 2014 +0300

    0025459: Visualization - AIS_ColoredShape::SetMaterial() should not reset custom colors

Author: kgv
Date: Fri Nov 14 17:24:56 2014 +0300

    0025483: Visualization, TKOpenGl - fix memory leak due to unused stack in OpenGl_StateInterface

Author: kgv
Date: Fri Nov 14 19:58:33 2014 +0300

    0025484: Visualization - group sub-shapes with the same style in XCAFPrs_AISObject::Compute()

Author: kgv
Date: Thu Nov 20 10:41:29 2014 +0400

    0025463: Visualization - MeshVS_ElementalColorPrsBuilder produces inefficient structures for elements with unique colors

Author: kgv
Date: Thu Nov 20 10:40:40 2014 +0400

    exclude TKNIS
(0034652)
git (administrator)
2014-11-24 19:25

Branch CR25146_9 has been created by kgv.

SHA-1: 0469f690e6d5a6e3d9ba4ed19eea886c67f4d1e3


Detailed log of new commits:

Author: kgv
Date: Sun Nov 23 18:03:58 2014 +0300

    0025304: Visualization, TKOpenGl - support texturing within built-in GLSL programs

Author: kgv
Date: Sun Nov 23 17:29:38 2014 +0300

    0025474: Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs

Author: aba
Date: Mon Nov 24 08:44:17 2014 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: kgv
Date: Fri Nov 14 19:58:33 2014 +0300

    0025484: Visualization - group sub-shapes with the same style in XCAFPrs_AISObject::Compute()

Author: kgv
Date: Thu Nov 20 10:40:40 2014 +0400

    exclude TKNIS
(0035232)
git (administrator)
2014-12-09 17:57

Branch CR25146_9 has been updated forcibly by kgv.

SHA-1: 4345b0fe2eb4a0ca3ff85d900a92999bb4a7e9f8
(0035295)
git (administrator)
2014-12-11 09:11

Branch CR25146_10 has been created by kgv.

SHA-1: 9f129a348a3582c7cf86476d05369b56e6ac4c9e


Detailed log of new commits:

Author: aml
Date: Tue Nov 25 13:23:24 2014 +0300

    0022598: Approximation of p-curve by 2D line
    
    Testcase fixes to new behavior. Tolerance update. Fixed possible period jump and special handling of pcurve lying on periodic parameter.

Author: abv
Date: Wed Nov 12 09:18:21 2014 +0300

    0022598: Approximation of p-curve by 2D line
    
    Check whether p-curve being projected can be approximated by straight line is made before full-scale projection, to improve performance.
    If straight, pcurve is created as Line only if this will lead to the same range parameterization as 3d curve, otherwise BSpline of degree 1 is created.
    Re-approximation of line pcurves by bsplines removed from ShapeFix_Edge.
    
    Test case for issue CR24549

Author: kgv
Date: Tue Dec 9 18:54:49 2014 +0400

    0025580: Visualization, TKOpenGl - create GLushort index buffer in OpenGl_Quadric::createArrays() when sufficient

Author: aba
Date: Thu Dec 11 09:03:48 2014 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: kgv
Date: Thu Nov 20 10:40:40 2014 +0400

    exclude TKNIS
(0035820)
git (administrator)
2014-12-28 19:17

Branch CR25146_10 has been updated by ibs.

SHA-1: 551f3fa5d8032da9520c0022b8e26fc252432d7b


Detailed log of new commits:

Author: ibs
Date: Fri Dec 19 18:40:31 2014 +0300

    for android building. GL_LUMINANCE8 macros added

(0035821)
git (administrator)
2014-12-28 19:22

Branch CR25146_10 has been updated forcibly by ibs.

SHA-1: 1dcbe878b6700beeca5af639c13e7468808bcb57
(0036193)
git (administrator)
2015-01-19 11:25

Branch CR25146_11 has been created by ibs.

SHA-1: 5122571678a9ac7226660e23f69d459f879ac2f2


Detailed log of new commits:

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added

Author: aml
Date: Tue Nov 25 13:23:24 2014 +0300

    0022598: Approximation of p-curve by 2D line
    
    Testcase fixes to new behavior. Tolerance update. Fixed possible period jump and special handling of pcurve lying on periodic parameter.

Author: abv
Date: Wed Nov 12 09:18:21 2014 +0300

    0022598: Approximation of p-curve by 2D line
    
    Check whether p-curve being projected can be approximated by straight line is made before full-scale projection, to improve performance.
    If straight, pcurve is created as Line only if this will lead to the same range parameterization as 3d curve, otherwise BSpline of degree 1 is created.
    Re-approximation of line pcurves by bsplines removed from ShapeFix_Edge.
    
    Test case for issue CR24549

Author: aba
Date: Thu Dec 11 09:03:48 2014 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: kgv
Date: Thu Nov 20 10:40:40 2014 +0400

    exclude TKNIS
(0036702)
git (administrator)
2015-01-27 13:07

Branch CR25146_12 has been created by kgv.

SHA-1: f08708d52589f6240e8f8bd84368cef075d617b3


Detailed log of new commits:

Author: kgv
Date: Tue Jan 27 12:06:55 2015 +0200

    OpenGl_Workspace::RedrawImmediate() - no swap

Author: kgv
Date: Tue Jan 27 12:06:43 2015 +0200

    OpenGl_ShaderManager::prepareStdProgramFboBlit() - add compatibility with OpenGL ES

Author: kgv
Date: Mon Jan 26 16:00:29 2015 +0200

    0025091: Visualization - use FBO for layer with immediate objects

Author: ibs
Date: Mon Jan 19 15:44:48 2015 +0300

    0025723: The center of rotation is calculated without considering hidden and selected v3d structures
    
    The center of bounding boxes ("gravity" method) uses just visible v3d structures.
    If there are any selected structures - the method uses only they (visible & selected)
    
    if a current camera doesn't observe any structure, the center of bounding boxes
    (gravity method) is calculated for all existing structures in visual3d_view

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added

Author: aml
Date: Tue Nov 25 13:23:24 2014 +0300

    0022598: Approximation of p-curve by 2D line
    
    Testcase fixes to new behavior. Tolerance update. Fixed possible period jump and special handling of pcurve lying on periodic parameter.

Author: abv
Date: Wed Nov 12 09:18:21 2014 +0300

    0022598: Approximation of p-curve by 2D line
    
    Check whether p-curve being projected can be approximated by straight line is made before full-scale projection, to improve performance.
    If straight, pcurve is created as Line only if this will lead to the same range parameterization as 3d curve, otherwise BSpline of degree 1 is created.
    Re-approximation of line pcurves by bsplines removed from ShapeFix_Edge.
    
    Test case for issue CR24549

Author: aba
Date: Thu Dec 11 09:03:48 2014 +0300

    0025475: Visualization, TKOpenGl - draw background using primitive arrays

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: kgv
Date: Thu Nov 20 10:40:40 2014 +0400

    exclude TKNIS
(0037472)
git (administrator)
2015-02-13 09:48

Branch CR25146_14 has been created by ibs.

SHA-1: 1d0a64e660bf0bffa3ef0fc1d95f64fe75a3aafe


Detailed log of new commits:

Author: ibs
Date: Wed Feb 11 19:07:25 2015 +0300

    0025687: Visualization, XCAF - visual artifacts at the edges of faces
    
    vaspects -setvisibility flag added
    
    calculate back face culling for a colored shape before attribute parsing of the shape
    turn on back face culling for each shell of the shape
    
    if there are no invisible subshapes, solids are not processing separately (dispatch colors and culling applying)
    
    ExploreSolids not ignores wire,edge and vertex and move they to "open" compound
    dispatchColors mechanism explorers all contained solids
    
    test casses added

Author: kgv
Date: Tue Jan 27 12:06:55 2015 +0200

    OpenGl_Workspace::RedrawImmediate() - no swap

Author: kgv
Date: Tue Jan 27 12:06:43 2015 +0200

    OpenGl_ShaderManager::prepareStdProgramFboBlit() - add compatibility with OpenGL ES

Author: kgv
Date: Mon Jan 26 16:00:29 2015 +0200

    0025091: Visualization - use FBO for layer with immediate objects

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: kgv
Date: Thu Nov 20 10:40:40 2014 +0400

    exclude TKNIS
(0037589)
git (administrator)
2015-02-16 19:05

Branch CR25146_15 has been created by ibs.

SHA-1: 96fbba0a212b906df75aa9db2fc03b64ac4b3e3d


Detailed log of new commits:

Author: ibs
Date: Mon Feb 2 19:35:47 2015 +0300

    0025687: Visualization, XCAF - visual artifacts at the edges of faces
    
    a user has the possibility to change the visibility of displayed shape and its subshapes added.
    It can be done with DRAW command: vaspects [shape name] -subshapes [subshape names] -setvisibility 0|1
    
    back-face culling and capping plane algorithm activates for each
    closed solid of displayed shape
    
    turn off back-face culling and capping plane algo when displayed
    closed solid contains an invisible subshape
    
    dispatchColors method explores nested compounds also
    
    test casses added

Author: kgv
Date: Thu Jan 29 16:01:07 2015 +0300

    0025091: Visualization - use FBO for layer with immediate objects

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: kgv
Date: Thu Nov 20 10:40:40 2014 +0400

    exclude TKNIS
(0037590)
git (administrator)
2015-02-16 19:05

Branch CR25146_14 has been deleted by ibs.

SHA-1: 1d0a64e660bf0bffa3ef0fc1d95f64fe75a3aafe
(0037839)
git (administrator)
2015-02-24 20:19

Branch CR25146_16 has been created by ibs.

SHA-1: e73f062eff9200be4cfe2495da11157d7a5449ca


Detailed log of new commits:

Author: ibs
Date: Tue Feb 24 09:50:26 2015 +0300

    0025687: Visualization, XCAF - eliminate visual artifacts at the edges of faces
    
    AIS_ColoredShape::Compute() - improve logic to split input shape into Closed and Open volumes
    with back-face culling enabled when possible.
    
    Change last argument of method StdPrs_ShadedShape::Add() from boolean to enumeration StdPrs_Volume
    which controls parsing of Closed/Open volumes within input shape.
    Make method StdPrs_ShadedShape::ExploreSolids() public.
    
    Extend Draw Harness command vaspects with option -setvisibility to hide subshape (using AIS_ColoredShape).
    Add new test cases bugs/bis/bug25687_1 and bugs/bis/bug25687_2.
    
    Added sample generating model of Intel i7-4790 CPU on which the problem can be reproduced

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: kgv
Date: Thu Nov 20 10:40:40 2014 +0400

    exclude TKNIS
(0038204)
git (administrator)
2015-03-06 18:54

Branch CR25146_17 has been created by ibs.

SHA-1: 65215906bbfae48514ee08ea4445be63694e8f60


Detailed log of new commits:

Author: ibs
Date: Fri Mar 6 18:52:30 2015 +0300

    0025906: The condition of immediate update is incorrect in the method of the view rotation
    
    incorrect condition fixed

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added
(0038220)
git (administrator)
2015-03-10 10:38

Branch CR25146_17 has been updated by ibs.

SHA-1: 32b22a1472e4efbd3a3b1ffa6d844dcd04faa551


Detailed log of new commits:

Author: ibs
Date: Tue Mar 10 10:35:43 2015 +0300

    redundant update removed (Rotate method already does update)

(0038225)
git (administrator)
2015-03-10 14:42

Branch CR25146_17 has been updated forcibly by ibs.

SHA-1: 696c969d06c3d0dd0faac3bdffbd822b85b951ef
(0038629)
git (administrator)
2015-03-18 13:52

Branch CR25146_16 has been updated by dln.

SHA-1: ab76e1e49f0763f2a69902549ff25ec8610953c5


Detailed log of new commits:

Author: dln
Date: Wed Mar 18 13:52:04 2015 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Problem with loading of the external files fixed

(0038631)
git (administrator)
2015-03-18 14:15

Branch CR25146_17 has been updated forcibly by dln.

SHA-1: 8156635df4f0c1bf2f64e65da505f60becef52c2
(0038734)
git (administrator)
2015-03-20 15:19

Branch CR25146_18 has been created by ibs.

SHA-1: d15b45a19e62ae54e140d3cf483cc1917a822453


Detailed log of new commits:

Author: ibs
Date: Fri Mar 20 10:08:31 2015 +0300

    0025963: Computing a hascoding value for an unsigned int is not defined for architecture armv7
    
    HashCode for Standard_Utf32Char included for __APPLE__ define

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    - add progress indicator to STEPCAFControl_Reader::Transfer().
    - add progress indicator to IGESCAFControl_Reader::Transfer().

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added
(0038737)
git (administrator)
2015-03-20 15:27

Branch CR25146_18 has been updated forcibly by ibs.

SHA-1: 52a57123f021604acf5b22263eb0fbf274c0df37
(0038753)
git (administrator)
2015-03-20 16:10

Branch CR25146_18 has been updated by ibs.

SHA-1: e8def3709b7f0d561bbd0b725384437ec28d42a0


Detailed log of new commits:

Author: kgv
Date: Fri Mar 6 18:53:12 2015 +0300

    OpenGl_Context - support EAGLContext as alternative to NSOpenGLContext
    OpenGl_FrameBuffer::InitWithRB() - add method to initialize FBO with Render Buffer Objects.

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS

Author: kgv
Date: Wed Mar 4 16:16:42 2015 +0300

    OSD_EnvironmentIterator - do not use _NSGetEnviron() on iOS

(0039224)
git (administrator)
2015-04-03 16:13

Branch CR25146_20 has been created by ibs.

SHA-1: 89816f4c70554773f265980d1f6151305617a6b5


Detailed log of new commits:

Author: ibs
Date: Fri Apr 3 16:11:06 2015 +0300

    0025974: Visualization - fix misprints in method naming of Graphic3d_GraduatedTrihedron
    
    V3d_View::GetGraduatedTrihedron() - return configuration structure directly.
    
    OpenGl_View::TriedronDisplay() - do not re-create trihedron on each Display call.
    OpenGl_Trihedron::Setup() - eliminate global variables.
    OpenGl_PrimitiveArray::buildVBO() - release old VBOs before initialization.
    
    ViewerTest.hxx - move out package header from .cdl file.
    ViewerTest::ParseColor() - add new method to parse color arguments in common way.
    
    vzbufftrihedron - improve command syntax.
    vgraduatedtrihedron - add options -drawgrid and -drawaxes.
    
    ViewerTest/FILES - add ViewerTest.cxx as well

Author: kgv
Date: Thu Apr 2 19:06:57 2015 +0300

    0026012: Visualization, TKOpenGl - fix misprints in detection of high precision floats within OpenGL ES 2.0

Author: osa
Date: Fri Apr 3 09:48:20 2015 +0300

    0026014: Visualization - the IsAutoTriangulated flag is ignored for AIS_ColoredShape

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added
(0039240)
git (administrator)
2015-04-06 10:52

Branch CR25146_20 has been updated forcibly by ibs.

SHA-1: 694ba41c74bd01c0f5c992916e95270809e58bc7
(0039343)
git (administrator)
2015-04-08 00:26

Branch CR25146_21 has been created by ibs.

SHA-1: 4d0415e3405a1ff70070272992a38ad1a04afbde


Detailed log of new commits:

Author: ibs
Date: Fri Apr 3 16:11:06 2015 +0300

    0025974: Visualization - fix misprints in method naming of Graphic3d_GraduatedTrihedron
    
    V3d_View::GetGraduatedTrihedron() - return configuration structure directly.
    
    OpenGl_View::TriedronDisplay() - do not re-create trihedron on each Display call.
    OpenGl_Trihedron::Setup() - eliminate global variables.
    OpenGl_PrimitiveArray::buildVBO() - release old VBOs before initialization.
    
    ViewerTest.hxx - move out package header from .cdl file.
    ViewerTest::ParseColor() - add new method to parse color arguments in common way.
    
    vzbufftrihedron - improve command syntax.
    vgraduatedtrihedron - add options -drawgrid and -drawaxes.
    
    ViewerTest/FILES - add ViewerTest.cxx as well

Author: kgv
Date: Thu Apr 2 19:06:57 2015 +0300

    0026012: Visualization, TKOpenGl - fix misprints in detection of high precision floats within OpenGL ES 2.0

Author: osa
Date: Fri Apr 3 09:48:20 2015 +0300

    0026014: Visualization - the IsAutoTriangulated flag is ignored for AIS_ColoredShape

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added
(0039409)
git (administrator)
2015-04-09 09:07

Branch CR25146_22 has been created by kgv.

SHA-1: e2d7d8b1dcd89ae6a8866893aaabd8695aafdc14


Detailed log of new commits:

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added

Author: dbp
Date: Wed Apr 1 16:19:20 2015 +0300

    0025964: Visualization, TKOpenGl - compile RayTracing shader without texturing when no textures in use

Author: dbp
Date: Thu Apr 9 08:58:10 2015 +0300

    0025885: Visualization, ray tracing - Improve layer processing
    
    Move Ray-tracing core from OpenGl_Workspace to OpenGl_View.
    This patch also contains a number of useful architectural changes.

Author: vpa
Date: Wed Apr 8 19:26:49 2015 +0300

    0026031: Visualization - fix out-of-range within Select3D_InteriorSensitivePointSet::GetPoints()
    
    Removed unnecessary point duplication at initialization of planar polygons in Select3D_InteriorSensitivePointSet;
    Test case for issue 0026031

Author: kgv
Date: Thu Apr 2 19:06:57 2015 +0300

    0026012: Visualization, TKOpenGl - fix misprints in detection of high precision floats within OpenGL ES 2.0

Author: osa
Date: Fri Apr 3 09:48:20 2015 +0300

    0026014: Visualization - the IsAutoTriangulated flag is ignored for AIS_ColoredShape

Author: kgv
Date: Fri Apr 3 21:41:52 2015 +0300

    0025974: Visualization - fix misprints in method naming of Graphic3d_GraduatedTrihedron
    
    V3d_View::GetGraduatedTrihedron() - return configuration structure directly.
    
    OpenGl_View::TriedronDisplay() - do not re-create trihedron on each Display call.
    OpenGl_Trihedron::Setup() - eliminate global variables.
    OpenGl_PrimitiveArray::buildVBO() - release old VBOs before initialization.
    
    ViewerTest.hxx - move out package header from .cdl file.
    ViewerTest::ParseColor() - add new method to parse color arguments in common way.
    
    vzbufftrihedron - improve command syntax.
    vgraduatedtrihedron - add options -drawgrid and -drawaxes.
(0039410)
git (administrator)
2015-04-09 09:19

Branch CR25146_1 has been deleted by kgv.

SHA-1: f40cf4896d8b0f12739b4e7f73b322f84d398343
(0039411)
git (administrator)
2015-04-09 09:19

Branch CR25146_10 has been deleted by kgv.

SHA-1: 1dcbe878b6700beeca5af639c13e7468808bcb57
(0039412)
git (administrator)
2015-04-09 09:19

Branch CR25146_11 has been deleted by kgv.

SHA-1: 5122571678a9ac7226660e23f69d459f879ac2f2
(0039413)
git (administrator)
2015-04-09 09:19

Branch CR25146_12 has been deleted by kgv.

SHA-1: f08708d52589f6240e8f8bd84368cef075d617b3
(0039414)
git (administrator)
2015-04-09 09:19

Branch CR25146_15 has been deleted by kgv.

SHA-1: 96fbba0a212b906df75aa9db2fc03b64ac4b3e3d
(0039415)
git (administrator)
2015-04-09 09:19

Branch CR25146_16 has been deleted by kgv.

SHA-1: ab76e1e49f0763f2a69902549ff25ec8610953c5
(0039416)
git (administrator)
2015-04-09 09:19

Branch CR25146_17 has been deleted by kgv.

SHA-1: 8156635df4f0c1bf2f64e65da505f60becef52c2
(0039417)
git (administrator)
2015-04-09 09:19

Branch CR25146_18 has been deleted by kgv.

SHA-1: e8def3709b7f0d561bbd0b725384437ec28d42a0
(0039418)
git (administrator)
2015-04-09 09:19

Branch CR25146_20 has been deleted by kgv.

SHA-1: 694ba41c74bd01c0f5c992916e95270809e58bc7
(0039419)
git (administrator)
2015-04-09 09:19

Branch CR25146_7 has been deleted by kgv.

SHA-1: 71fe1c056e8d6655645d3629b6e9e9c2b9c0691d
(0039420)
git (administrator)
2015-04-09 09:19

Branch CR25146_8 has been deleted by kgv.

SHA-1: 6c2cd2f88ae5b03e64de8b2fb8bc1c3ebb2688c4
(0039421)
git (administrator)
2015-04-09 09:19

Branch CR25146_9 has been deleted by kgv.

SHA-1: 4345b0fe2eb4a0ca3ff85d900a92999bb4a7e9f8
(0039466)
kgv (developer)
2015-04-09 10:17

Dear bugmaster,

please switch this bug to tested.
All major related bugfixes have been integrated.
(0040367)
git (administrator)
2015-04-28 17:10

Branch CR25146_23 has been created by ibs.

SHA-1: 321e7bed4f1e76e1801f66b7f3943c620e50603e


Detailed log of new commits:

Author: dbp
Date: Thu Apr 16 16:03:55 2015 +0300

    0026081: Visualization, TKOpenGl - rebuild vertex attributes in order to not render large index arrays in OpenGL ES

Author: kgv
Date: Fri Jan 23 16:19:55 2015 +0300

    Disable Draw and TKNIS

Author: ibs
Date: Fri Jan 16 12:15:11 2015 +0300

    0025713: CMake configuring procedure should allow to build OCCT as static libraries
    
    BUILD_LIBRARY_TYPE variable added
(0040952)
git (administrator)
2015-05-14 16:25

Branch CR25146_21 has been deleted by inv.

SHA-1: 4d0415e3405a1ff70070272992a38ad1a04afbde
(0040953)
git (administrator)
2015-05-14 16:25

Branch CR25146_22 has been deleted by inv.

SHA-1: e2d7d8b1dcd89ae6a8866893aaabd8695aafdc14
(0040954)
git (administrator)
2015-05-14 16:26

Branch CR25146_23 has been deleted by inv.

SHA-1: 321e7bed4f1e76e1801f66b7f3943c620e50603e

- Issue History
Date Modified Username Field Change
2014-08-13 14:28 kgv New Issue
2014-08-13 14:28 kgv Assigned To => kgv
2014-08-13 14:28 kgv Relationship added child of 0025145
2014-08-13 14:34 kgv Relationship added parent of 0024444
2014-08-13 14:34 kgv Relationship replaced parent of 0025145
2014-08-13 14:42 kgv Relationship added parent of 0024443
2014-08-13 14:52 bugmaster Project Internal => Open CASCADE
2014-08-14 08:52 kgv Relationship added related to 0023484
2014-08-14 09:01 kgv Relationship added parent of 0025147
2014-08-14 09:30 kgv Relationship added parent of 0025148
2014-08-14 10:18 kgv Relationship added parent of 0025149
2014-08-18 16:09 ibs Relationship added parent of 0025160
2014-08-18 17:10 san Relationship added related to 0025162
2014-08-20 16:22 git Note Added: 0030941
2014-08-20 19:00 git Note Added: 0030958
2014-08-20 19:04 git Note Added: 0030959
2014-08-21 11:02 git Note Added: 0030977
2014-08-24 13:13 git Note Added: 0031057
2014-08-27 10:06 git Note Added: 0031116
2014-08-27 12:04 git Note Added: 0031120
2014-08-28 11:51 git Note Added: 0031140
2014-08-28 12:13 git Note Added: 0031144
2014-08-28 12:25 git Note Added: 0031145
2014-08-28 12:28 ibs Note Added: 0031146
2014-08-28 17:12 git Note Added: 0031163
2014-09-03 17:50 kgv Relationship added parent of 0025213
2014-09-04 13:15 kgv Relationship added parent of 0025215
2014-09-04 15:51 kgv Relationship added parent of 0025216
2014-09-05 09:56 kgv Relationship added parent of 0025219
2014-09-10 08:33 kgv Relationship added parent of 0025195
2014-09-17 13:24 git Note Added: 0031797
2014-09-17 14:19 git Note Added: 0031804
2014-09-17 16:42 abv Relationship added related to 0024888
2014-09-17 18:02 git Note Added: 0031829
2014-09-17 19:26 git Note Added: 0031835
2014-09-17 19:55 git Note Added: 0031836
2014-09-18 12:50 git Note Added: 0031854
2014-09-18 12:53 git Note Added: 0031855
2014-09-28 20:55 kgv Relationship added parent of 0025282
2014-09-29 10:16 git Note Added: 0032281
2014-09-29 10:20 git Note Added: 0032283
2014-09-29 10:21 kgv Note Edited: 0032281 View Revisions
2014-09-29 16:15 git Note Added: 0032310
2014-09-30 17:35 kgv Relationship added related to 0025295
2014-09-30 21:54 kgv Relationship added parent of 0025301
2014-09-30 21:59 git Note Added: 0032484
2014-10-01 11:36 kgv Relationship added parent of 0023540
2014-10-01 11:39 kgv Relationship added parent of 0025304
2014-10-01 11:41 kgv Relationship added parent of 0025305
2014-10-01 11:42 kgv Relationship deleted parent of 0023540
2014-10-01 11:45 kgv Relationship added parent of 0025303
2014-10-06 09:27 git Note Added: 0032683
2014-10-06 11:35 git Note Added: 0032696
2014-10-06 12:39 kgv Relationship added parent of 0025328
2014-10-08 17:52 git Note Added: 0032830
2014-10-09 10:49 git Note Added: 0032866
2014-10-09 14:08 git Note Added: 0032886
2014-10-09 14:23 git Note Added: 0032888
2014-10-16 15:26 git Note Added: 0033216
2014-10-16 15:38 git Note Added: 0033218
2014-10-17 13:01 git Note Added: 0033249
2014-10-22 01:08 git Note Added: 0033520
2014-10-22 10:59 git Note Added: 0033527
2014-10-22 18:41 git Note Added: 0033589
2014-10-23 16:44 git Note Added: 0033653
2014-10-24 16:21 git Note Added: 0033692
2014-10-24 18:25 git Note Added: 0033697
2014-10-24 19:38 git Note Added: 0033705
2014-10-24 19:40 git Note Added: 0033706
2014-10-24 20:03 git Note Added: 0033709
2014-10-25 18:08 git Note Added: 0033711
2014-10-27 12:41 kgv Relationship added parent of 0025422
2014-10-27 16:16 git Note Added: 0033737
2014-10-28 01:04 git Note Added: 0033750
2014-10-29 00:18 git Note Added: 0033790
2014-10-29 16:30 git Note Added: 0033841
2014-10-30 10:49 git Note Added: 0033868
2014-10-30 16:40 git Note Added: 0033895
2014-10-30 17:59 git Note Added: 0033903
2014-10-30 18:45 git Note Added: 0033905
2014-10-30 20:12 git Note Added: 0033913
2014-10-31 11:01 git Note Added: 0033926
2014-10-31 11:10 git Note Added: 0033927
2014-10-31 15:20 kgv Relationship added parent of 0025438
2014-11-05 21:12 git Note Added: 0034070
2014-11-06 12:39 git Note Added: 0034092
2014-11-12 08:47 git Note Added: 0034235
2014-11-12 08:48 git Note Added: 0034236
2014-11-12 08:48 git Note Added: 0034237
2014-11-12 08:49 git Note Added: 0034238
2014-11-12 08:50 git Note Added: 0034239
2014-11-12 08:51 git Note Added: 0034240
2014-11-12 08:52 git Note Added: 0034242
2014-11-13 09:02 kgv Relationship added parent of 0025474
2014-11-13 09:09 kgv Relationship added parent of 0025475
2014-11-14 17:29 kgv Relationship added parent of 0025483
2014-11-19 18:11 kgv Relationship added parent of 0025500
2014-11-24 12:43 git Note Added: 0034632
2014-11-24 19:25 git Note Added: 0034652
2014-12-01 09:52 kgv Relationship added parent of 0025539
2014-12-01 10:08 kgv Relationship added parent of 0025350
2014-12-09 17:57 git Note Added: 0035232
2014-12-09 18:00 kgv Relationship added parent of 0025580
2014-12-11 09:11 git Note Added: 0035295
2014-12-28 19:17 git Note Added: 0035820
2014-12-28 19:22 git Note Added: 0035821
2015-01-19 11:25 git Note Added: 0036193
2015-01-23 16:10 kgv Relationship added related to 0025745
2015-01-27 13:07 git Note Added: 0036702
2015-02-13 09:48 git Note Added: 0037472
2015-02-16 19:05 git Note Added: 0037589
2015-02-16 19:05 git Note Added: 0037590
2015-02-24 20:19 git Note Added: 0037839
2015-03-06 18:54 git Note Added: 0038204
2015-03-10 10:38 git Note Added: 0038220
2015-03-10 14:42 git Note Added: 0038225
2015-03-18 13:52 git Note Added: 0038629
2015-03-18 14:15 git Note Added: 0038631
2015-03-20 15:19 git Note Added: 0038734
2015-03-20 15:27 git Note Added: 0038737
2015-03-20 16:10 git Note Added: 0038753
2015-03-24 20:40 kgv Relationship added parent of 0025978
2015-03-25 15:56 kgv Relationship added parent of 0025984
2015-03-27 21:22 abv Target Version 7.0.0 => 6.9.0
2015-04-03 16:13 git Note Added: 0039224
2015-04-06 10:52 git Note Added: 0039240
2015-04-08 00:26 git Note Added: 0039343
2015-04-09 09:07 git Note Added: 0039409
2015-04-09 09:19 git Note Added: 0039410
2015-04-09 09:19 git Note Added: 0039411
2015-04-09 09:19 git Note Added: 0039412
2015-04-09 09:19 git Note Added: 0039413
2015-04-09 09:19 git Note Added: 0039414
2015-04-09 09:19 git Note Added: 0039415
2015-04-09 09:19 git Note Added: 0039416
2015-04-09 09:19 git Note Added: 0039417
2015-04-09 09:19 git Note Added: 0039418
2015-04-09 09:19 git Note Added: 0039419
2015-04-09 09:19 git Note Added: 0039420
2015-04-09 09:19 git Note Added: 0039421
2015-04-09 10:17 kgv Note Added: 0039466
2015-04-09 10:17 kgv Assigned To kgv => bugmaster
2015-04-09 10:17 kgv Status new => resolved
2015-04-09 10:17 kgv Steps to Reproduce Updated View Revisions
2015-04-09 10:17 kgv Status resolved => reviewed
2015-04-15 15:30 bugmaster Status reviewed => verified
2015-04-15 15:30 bugmaster Resolution open => fixed
2015-04-28 17:10 git Note Added: 0040367
2015-04-30 14:32 kgv Relationship added parent of 0026165
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:25 git Note Added: 0040952
2015-05-14 16:25 git Note Added: 0040953
2015-05-14 16:26 git Note Added: 0040954
2016-11-21 13:03 kgv Relationship added parent of 0028135
2017-05-18 13:46 kgv Relationship added parent of 0028749
2017-05-18 13:46 kgv Relationship added parent of 0028754


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker